// creator  : weidu.exe (version 23100)
// argument : HERVO.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HERVO~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #3 /* Triggers after states #: 31 38 40 even though they appear after this state */
~NumTimesTalkedTo(0)
OR(4)
!InParty("Valygar")
Dead("Valygar")
!See("Valygar")
StateCheck("Valygar",STATE_SLEEPING)~ THEN BEGIN 0 // from:
  SAY #18743 /* ~Yes?  May I help you?  You are not a friend of the master's, are you?~ */
  IF ~~ THEN REPLY #18744 /* ~No, I'm not.  Can you tell me who lives here?~ */ GOTO 1
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #18745 /* ~Er... why, yes I am.  He said I could look around if I wished.~ */ GOTO 2
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #18748 /* ~Not a friend, exactly.  I'm looking for Valygar, and I was wondering if I might ask you a few questions.~ */ GOTO 3
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #18749 /* ~Actually, I am a friend of Valygar's.  Do you know where I might find him?~ */ GOTO 4
  IF ~~ THEN REPLY #18746 /* ~Friend or not, you'll stand aside while I look about.~ */ GOTO 5
  IF ~~ THEN REPLY #18747 /* ~No, I'm not.  Sorry to intrude, I'll be leaving.~ */ GOTO 6
END

IF ~~ THEN BEGIN 1 // from: 27.3 0.0
  SAY #18750 /* ~Well, yes of course.  This is the house of the good Master Corthala.  Valygar Corthala.  I am Hervo, his manservant, if you will.~ */
  IF ~~ THEN REPLY #18751 /* ~Yes, well, I'm a friend of Valygar's and he said I could look around.~ */ GOTO 2
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #18752 /* ~Then I have the right place.  I am looking for Valygar, and I was wondering if I might ask you a few questions.~ */ GOTO 3
  IF ~~ THEN REPLY #18754 /* ~Good.  Then you won't mind if I look about.~ */ GOTO 7
  IF ~~ THEN REPLY #18755 /* ~Do you know when Valygar might be returning?~ */ GOTO 8
  IF ~~ THEN REPLY #18756 /* ~Thank you, I'll be on my way, then.~ */ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 1.0 0.1
  SAY #18753 /* ~I doubt that, my <LADYLORD>.  The young master has not been in the city for a couple of weeks.  Please leave or I shall call the garrison.~ */
  IF ~~ THEN DO ~SetGlobal("HervoAngry","GLOBAL",1)
SetGlobalTimer("HervoCallGuards","GLOBAL",10)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 27.4 1.1 0.2
  SAY #18757 /* ~Oh, my!  More people looking for Master Corthala, is it?  You are not one of those awful wizards, are you?~ */
  IF ~~ THEN REPLY #18764 /* ~No, I am not.  Why?  Why do you call them awful?~ */ GOTO 9
  IF ~~ THEN REPLY #18765 /* ~No, I am not one of the Cowled Wizards, but I am seeking Valygar on their behalf.~ */ GOTO 13
  IF ~CheckStatGT(LastTalkedToBy,15,CHR)
~ THEN REPLY #18766 /* ~That does not concern you.  Simply answer my questions and you shall not come to harm.~ */ GOTO 14
  IF ~CheckStatLT(LastTalkedToBy,16,CHR)
~ THEN REPLY #18811 /* ~That does not concern you.  Simply answer my questions and you shall not come to harm.~ */ GOTO 13
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #18768 /* ~A friend of the master's?  Oh, dear, he has been gone for quite some time.  No, I'm afraid I haven't heard from him since those awful wizards came to see him.~ */
  IF ~~ THEN REPLY #18769 /* ~Some wizards came to see him?  When was this?~ */ GOTO 9
  IF ~~ THEN REPLY #18771 /* ~Well, he did murder two of them, didn't he?  I don't expect anyone could do that to the Cowled Wizards and expect to get away with it.~ */ GOTO 15
  IF ~~ THEN REPLY #18773 /* ~Perhaps you could answer a couple of questions of mine, then.~ */ GOTO 14
  IF ~CheckStatGT(LastTalkedToBy,15,CHR)
~ THEN REPLY #18774 /* ~Perhaps you would let me look around the house, then.  Maybe he left something behind showing a clue as to his whereabouts.~ */ GOTO 16
  IF ~CheckStatGT(LastTalkedToBy,8,CHR)
CheckStatLT(LastTalkedToBy,16,CHR)
~ THEN REPLY #18775 /* ~Perhaps you would let me look around the house, then.  Maybe he left something behind showing a clue as to his whereabouts.~ */ GOTO 17
  IF ~CheckStatLT(LastTalkedToBy,9,CHR)
~ THEN REPLY #18777 /* ~Perhaps you would let me look around the house, then.  Maybe he left something behind showing a clue as to his whereabouts.~ */ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 0.4
  SAY #18778 /* ~I most certainly will not!  You'll not rob the master's house while I am here!  Guards!!  Thieves!!~ */
  IF ~~ THEN DO ~SetGlobal("HervoAngry","GLOBAL",1)
SetGlobalTimer("HervoCallGuard","GLOBAL",10)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 31.4 30.5 27.7 18.2 12.6 8.2 1.4 0.5
  SAY #18782 /* ~Oh, well as you wish.  Good business to you, then.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from: 27.6 17.1 13.2 12.5 4.5 1.2
  SAY #18784 /* ~I certainly do mind!  I'll not allow the master's house to be robbed while he is gone!  Leave at once or I shall call the guard!~ */
  IF ~~ THEN DO ~SetGlobal("HervoAngry","GLOBAL",1)
SetGlobalTimer("HervoCallGuard","GLOBAL",10)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 1.3
  SAY #18786 /* ~No, I am sorry I don't.  Ever since that sordid business with the wizards, I don't know if the master will ever be returning.~ */
  IF ~~ THEN REPLY #18787 /* ~Sordid business?  Your master had some kind of dealings with wizards?~ */ GOTO 9
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #18789 /* ~Yes, I understand he murdered two of them.  No doubt the Cowled Wizards will not rest until they find him.~ */ GOTO 15
  IF ~~ THEN REPLY #18790 /* ~I see.  Well, in that case I shall be leaving.~ */ GOTO 6
END

IF ~~ THEN BEGIN 9 // from: 30.4 17.2 15.0 13.0 8.0 4.0 3.0
  SAY #18791 /* ~The ordeal with the Cowled Wizards was just awful.  They came here two weeks ago, demanding to see Master Corthala.  I was just shaking in my shoes.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #18792 /* ~I heard them upstairs. They demanded that the master do something, and he refused.  I remember poor Master Corthala was so upset he was shouting, he was.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #18794 /* ~There was a loud crash... fighting.  I was terrified when the wizards came back down the stairs alone.  They said Valygar had committed murder and must pay.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #18795 /* ~Master Corthala had slipped away from them.  The wizards told me not to say anything, but I am desperate with worry.  Do you think the master is alright?~ */
  IF ~ReactionGT(LastTalkedToBy,15)
~ THEN REPLY #18799 /* ~I am not sure, but if the Cowled Wizards are after him, it is likely that he is in great danger.  Are you sure you have no idea where he has gone?~ */ DO ~

~ UNSOLVED_JOURNAL #23409 /* ~The hunt for Valygar Corthala.

A servant by the name of Hervo told me about wizards coming to see his master, Valygar Corthala.  Apparently, they had demanded that he perform some service for them, something which upset Valygar.  The servant heard a fight, and then the wizards came down and said that Valygar had committed murder.  He has been missing ever since.~ */ GOTO 18
  IF ~ReactionGT(LastTalkedToBy,8)
ReactionLT(LastTalkedToBy,16)
~ THEN REPLY #18800 /* ~I am not sure, but if the Cowled Wizards are after him, it is likely that he is in great danger.  Are you sure you have no idea where he has gone?~ */ UNSOLVED_JOURNAL #23409 /* ~The hunt for Valygar Corthala.

A servant by the name of Hervo told me about wizards coming to see his master, Valygar Corthala.  Apparently, they had demanded that he perform some service for them, something which upset Valygar.  The servant heard a fight, and then the wizards came down and said that Valygar had committed murder.  He has been missing ever since.~ */ GOTO 19
  IF ~ReactionLT(LastTalkedToBy,9)
~ THEN REPLY #18801 /* ~I am not sure, but if the Cowled Wizards are after him, it is likely that he is in great danger.  Are you sure you have no idea where he has gone?~ */ UNSOLVED_JOURNAL #23409 /* ~The hunt for Valygar Corthala.

A servant by the name of Hervo told me about wizards coming to see his master, Valygar Corthala.  Apparently, they had demanded that he perform some service for them, something which upset Valygar.  The servant heard a fight, and then the wizards came down and said that Valygar had committed murder.  He has been missing ever since.~ */ GOTO 21
  IF ~ReactionGT(LastTalkedToBy,15)
~ THEN REPLY #18845 /* ~It is hard to say.  Perhaps if you let me have a look about the house, I might find some clues as to his whereabouts.~ */ UNSOLVED_JOURNAL #23409 /* ~The hunt for Valygar Corthala.

A servant by the name of Hervo told me about wizards coming to see his master, Valygar Corthala.  Apparently, they had demanded that he perform some service for them, something which upset Valygar.  The servant heard a fight, and then the wizards came down and said that Valygar had committed murder.  He has been missing ever since.~ */ GOTO 16
  IF ~ReactionGT(LastTalkedToBy,8)
ReactionLT(LastTalkedToBy,16)
~ THEN REPLY #18846 /* ~It is hard to say.  Perhaps if you let me have a look about the house, I might find some clues as to his whereabouts.~ */ UNSOLVED_JOURNAL #23409 /* ~The hunt for Valygar Corthala.

A servant by the name of Hervo told me about wizards coming to see his master, Valygar Corthala.  Apparently, they had demanded that he perform some service for them, something which upset Valygar.  The servant heard a fight, and then the wizards came down and said that Valygar had committed murder.  He has been missing ever since.~ */ GOTO 17
  IF ~ReactionLT(LastTalkedToBy,9)
~ THEN REPLY #18847 /* ~It is hard to say.  Perhaps if you let me have a look about the house, I might find some clues as to his whereabouts.~ */ UNSOLVED_JOURNAL #23409 /* ~The hunt for Valygar Corthala.

A servant by the name of Hervo told me about wizards coming to see his master, Valygar Corthala.  Apparently, they had demanded that he perform some service for them, something which upset Valygar.  The servant heard a fight, and then the wizards came down and said that Valygar had committed murder.  He has been missing ever since.~ */ GOTO 7
  IF ~~ THEN REPLY #18848 /* ~I'm not sure.  I'll be leaving, now.~ */ UNSOLVED_JOURNAL #23409 /* ~The hunt for Valygar Corthala.

A servant by the name of Hervo told me about wizards coming to see his master, Valygar Corthala.  Apparently, they had demanded that he perform some service for them, something which upset Valygar.  The servant heard a fight, and then the wizards came down and said that Valygar had committed murder.  He has been missing ever since.~ */ GOTO 6
END

IF ~~ THEN BEGIN 13 // from: 3.3 3.1
  SAY #18802 /* ~Then I will answer none of your questions!  This whole thing is just terrible!  I thought nothing ill of the wizards until they did this to the poor Master!~ */
  IF ~~ THEN REPLY #18803 /* ~What do you mean, what did they do to him?~ */ GOTO 9
  IF ~~ THEN REPLY #18805 /* ~It is none of your concern.  If you answer my questions, no harm will come to you.~ */ GOTO 22
  IF ~~ THEN REPLY #18807 /* ~Very well.  If you insist on being stubborn, I shall have to search the house.~ */ GOTO 7
  IF ~~ THEN REPLY #18808 /* ~Very well.  I suppose I shall leave, then.~ */ GOTO 23
END

IF ~~ THEN BEGIN 14 // from: 17.0 4.2 3.2
  SAY #18812 /* ~I... I see.  What did you wish to know?~ */
  IF ~ReputationGT(LastTalkedToBy,15)
~ THEN REPLY #18813 /* ~I want to be absolutely certain that you know nothing of Valygar's whereabouts.~ */ GOTO 18
  IF ~ReputationGT(LastTalkedToBy,1)
ReputationLT(LastTalkedToBy,16)
~ THEN REPLY #18861 /* ~I want to be absolutely certain that you know nothing of Valygar's whereabouts.~ */ GOTO 21
  IF ~~ THEN REPLY #18814 /* ~Tell me about Valygar... does he have any friends?~ */ GOTO 19
  IF ~~ THEN REPLY #18817 /* ~Never mind.  I shall be leaving.~ */ GOTO 23
END

IF ~~ THEN BEGIN 15 // from: 8.1 4.1
  SAY #18820 /* ~Murder?  Heavens, no!  Let me tell you what happened!~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 16 // from: 12.3 4.3
  SAY #18838 /* ~That is rather odd, but I would like to know if the master is alright.  The master was paranoid about thieves, so when you look around be careful.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #6534 /* ~The hunt for Valygar Corthala.

A servant, Hervo, has given me leave to look around the home of his master, as he is quite worried about his disappearance.~ */ EXIT
END

IF ~~ THEN BEGIN 17 // from: 12.4 4.4
  SAY #18840 /* ~Oh, I don't think that is such a good idea, no.  Tsk tsk.  No, I don't think so.~ */
  IF ~~ THEN REPLY #18841 /* ~Well then, perhaps you could answer a couple of my questions.~ */ GOTO 14
  IF ~~ THEN REPLY #18842 /* ~I plan on looking around whether you like it or not.~ */ GOTO 7
  IF ~~ THEN REPLY #18843 /* ~Tell me, then, what happened with the wizards.~ */ GOTO 9
  IF ~~ THEN REPLY #18844 /* ~Very well, then... I'll be leaving.~ */ GOTO 23
END

IF ~~ THEN BEGIN 18 // from: 30.0 27.0 14.0 12.0
  SAY #18849 /* ~Hm.  It truly puzzles me.  I remember the family used to own some land in the Umar Hills.  Perhaps the master has gone there.  Is this helpful?~ */
  IF ~~ THEN REPLY #18850 /* ~It may be.  Thank you.~ */ DO ~RevealAreaOnMap("AR1100")
~ UNSOLVED_JOURNAL #16544 /* ~The hunt for Valygar Corthala.

Hervo mentioned that the Corthala family used to own some land in the Umar Hills and suspects his master may have gone there, although he knows nothing beyond that.~ */ GOTO 24
  IF ~~ THEN REPLY #18851 /* ~Not really... do you know of any friends that Valygar has?~ */ DO ~RevealAreaOnMap("AR1100")
~ UNSOLVED_JOURNAL #16544 /* ~The hunt for Valygar Corthala.

Hervo mentioned that the Corthala family used to own some land in the Umar Hills and suspects his master may have gone there, although he knows nothing beyond that.~ */ GOTO 19
  IF ~~ THEN REPLY #18852 /* ~It will have to be.  I'll be on my way.~ */ DO ~RevealAreaOnMap("AR1100")
~ UNSOLVED_JOURNAL #16544 /* ~The hunt for Valygar Corthala.

Hervo mentioned that the Corthala family used to own some land in the Umar Hills and suspects his master may have gone there, although he knows nothing beyond that.~ */ GOTO 6
END

IF ~~ THEN BEGIN 19 // from: 30.3 30.1 18.1 14.2 12.1
  SAY #18853 /* ~Well, the master has friends amongst the woodsmen and rangers.  He was in the scouts, you see, up until a couple of years ago.  Very skilled.~ */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #18854 /* ~I don't remember any of his friends specifically.  The Corthala family has a... a poor reputation amongst the nobles in this town, to tell the truth.~ */
  IF ~~ THEN REPLY #18856 /* ~Poor reputation?  Why is that?~ */ GOTO 26
  IF ~~ THEN REPLY #18857 /* ~Thank you, I think I'll be on my way.~ */ GOTO 24
END

IF ~~ THEN BEGIN 21 // from: 30.2 14.1 12.2
  SAY #18858 /* ~No.  I have no idea.  I really think this is enough questions... I shall inform the master of your search when he returns, yes?  Have a good day, my <LADYLORD>.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 22 // from: 13.1
  SAY #18859 /* ~You shall not threaten me in my master's house!  Guards!!  Help!!~ */
  IF ~~ THEN DO ~SetGlobal("HervoAngry","GLOBAL",1)
SetGlobalTimer("HervoCallGuard","GLOBAL",10)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 23 // from: 17.3 14.3 13.3
  SAY #18860 /* ~Yes, I think that is best.  A good business to you.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 24 // from: 20.1 18.0
  SAY #18862 /* ~You are certainly welcome.  Good business to you and good day.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 25 // from: 28.0 26.0
  SAY #18864 /* ~At any rate, I think it is time that you are leaving.  A good day and good business to you, my <LADYLORD>.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 26 // from: 20.0
  SAY #18866 /* ~The Corthalas have always had a talent for magic.  Many dangerous sorcerers in the line... a bad thing in Athkatla.  Not Master Corthala himself, of course.~ */
  IF ~~ THEN GOTO 25
END

IF WEIGHT #4 /* Triggers after states #: 31 38 40 even though they appear after this state */
~OR(4)
!InParty("Valygar")
Dead("Valygar")
!See("Valygar")
StateCheck("Valygar",STATE_SLEEPING)
~ THEN BEGIN 27 // from:
  SAY #18869 /* ~It is good to see you again, my <LADYLORD>.  Was there something that you wished?~ */
  IF ~ReputationGT(LastTalkedToBy,15)
PartyHasItem("misc7m")~ THEN REPLY #18870 /* ~Yes.  I have a letter here regarding Valygar's taxes.  It says here that Valygar owns some land outside the city.  Do you know anything about that?~ */ GOTO 18
  IF ~ReputationLT(LastTalkedToBy,16)
PartyHasItem("misc7m")~ THEN REPLY #18871 /* ~Yes.  I have a letter here regarding Valygar's taxes.  It says here that Valygar owns some land outside the city.  Do you know anything about that?~ */ GOTO 28
  IF ~Global("AttackedByCowled","GLOBAL",1)~ THEN REPLY #18872 /* ~I was attacked by Cowled Wizards here... what do you know about that?~ */ GOTO 29
  IF ~~ THEN REPLY #18873 /* ~I was hoping you could tell me, again, who owns this place.~ */ GOTO 1
  IF ~Global("HiredByCowled","GLOBAL",1)~ THEN REPLY #18874 /* ~Yes, actually.  I am looking for Valygar, and I was wondering if you could help me.~ */ GOTO 3
  IF ~~ THEN REPLY #18875 /* ~I was wondering if I could ask you a few questions.~ */ GOTO 30
  IF ~~ THEN REPLY #18877 /* ~No, I think I'll take a look around here, if you don't mind.~ */ GOTO 7
  IF ~~ THEN REPLY #18878 /* ~No, I'll be on my way.~ */ GOTO 6
END

IF ~~ THEN BEGIN 28 // from: 27.1
  SAY #18879 /* ~No, I do not make it my business to pry into the master's affairs.  Perhaps you should be seeking out this Llarsh fellow in the government sector.~ */
  IF ~~ THEN GOTO 25
END

IF ~~ THEN BEGIN 29 // from: 27.2
  SAY #18880 /* ~Attacked?  Here?!  By Helm, no, I did not know that.  It wasn't those awful wizards, again, was it?  Oh, this is terrible!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 30 // from: 27.5
  SAY #18881 /* ~I... I suppose so.  What do you wish to know?~ */
  IF ~ReactionGT(LastTalkedToBy,15)
~ THEN REPLY #18882 /* ~Can you tell me where I might find Valygar?~ */ GOTO 18
  IF ~ReactionGT(LastTalkedToBy,8)
ReactionLT(LastTalkedToBy,16)
~ THEN REPLY #18883 /* ~Can you tell me where I might find Valygar?~ */ GOTO 19
  IF ~ReactionLT(LastTalkedToBy,9)
~ THEN REPLY #18884 /* ~Can you tell me where I might find Valygar?~ */ GOTO 21
  IF ~~ THEN REPLY #18885 /* ~Does Valygar have any friends that he might be staying with?~ */ GOTO 19
  IF ~~ THEN REPLY #18886 /* ~What happened between Valygar and the Cowled Wizards?~ */ GOTO 9
  IF ~~ THEN REPLY #18887 /* ~Nothing, really.  Excuse me.~ */ GOTO 6
END

IF WEIGHT #0 ~Global("ValygarHome","GLOBAL",1)~ THEN BEGIN 31 // from:
  SAY #18888 /* ~Welcome to Corthala Manor.  Is there something I can help you with, my <LADYLORD>?~ */
  IF ~!Dead("Lavok")
ReactionGT(LastTalkedToBy,13)
~ THEN REPLY #18890 /* ~Yes... Valygar told me that you would know how to get ahold of him.~ */ GOTO 32
  IF ~!Dead("Lavok")
ReactionLT(LastTalkedToBy,14)
~ THEN REPLY #18891 /* ~Yes... Valygar told me that you would know how to get ahold of him.~ */ GOTO 33
  IF ~Dead("Lavok")
~ THEN REPLY #18892 /* ~Yes, actually.  Valygar said he would be here... do you know where he is?~ */ GOTO 34
  IF ~Dead("Lavok")
~ THEN REPLY #18895 /* ~Actually, no.  I can find my own way around.~ */ GOTO 35
  IF ~~ THEN REPLY #18894 /* ~No, thank you.  I'll be leaving.~ */ GOTO 6
END

IF ~~ THEN BEGIN 32 // from: 33.2 33.0 31.0
  SAY #18897 /* ~Er... yes.  You are the <LADYLORD> <CHARNAME>, is it?  The master is... expecting you.  He is upstairs, for the moment.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 33 // from: 31.1
  SAY #18898 /* ~I'll not put my master in any danger!  How do I know I can trust you?!~ */
  IF ~~ THEN REPLY #18899 /* ~I am not here to bring any harm to Valygar, I can assure you of that.~ */ GOTO 32
  IF ~~ THEN REPLY #18901 /* ~You don't need to trust me, just tell me where he is.~ */ GOTO 36
  IF ~OR(2)
ReputationGT(LastTalkedToBy,16)
ReputationLT(LastTalkedToBy,6)
~ THEN REPLY #18903 /* ~Tell me where he is, you little troll, before I break your arm off!~ */ GOTO 32
  IF ~ReputationGT(LastTalkedToBy,5)
ReputationLT(LastTalkedToBy,16)
~ THEN REPLY #18904 /* ~Tell me where he is, you little troll, before I break your arm off!~ */ GOTO 36
  IF ~~ THEN REPLY #18906 /* ~I have no time for this.  Excuse me.~ */ GOTO 37
END

IF ~~ THEN BEGIN 34 // from: 31.2
  SAY #18908 /* ~Oh, yes, of course.  The master is upstairs, at the moment.  Go ahead, I believe he is expecting you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 35 // from: 31.3
  SAY #2748 /* ~Certainly, <LADYLORD> <CHARNAME>, as you wish.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 36 // from: 33.3 33.1
  SAY #2739 /* ~I shall not!  I don't like the look of you!  Leave at once!~ */
  IF ~~ THEN DO ~SetGlobal("HervoAngry","GLOBAL",1)
SetGlobalTimer("HervoCallGuard","GLOBAL",10)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 37 // from: 33.4
  SAY #2749 /* ~As you say, my <LADYLORD>.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~Dead("Valygar")
~ THEN BEGIN 38 // from:
  SAY #18909 /* ~It is very sad, with Master Corthala dead now.  He has no family left, I understand... oh, I just don't know what I am to do!~ */
  IF ~~ THEN GOTO 39
END

IF ~~ THEN BEGIN 39 // from: 38.0
  SAY #18910 /* ~I... I don't think that you should be here, however.  Please leave at once!~ */
  IF ~~ THEN DO ~SetGlobal("HervoAngry","GLOBAL",1)
SetGlobalTimer("HervoCallGuards","GLOBAL",10)
EscapeArea()~ EXIT
END

IF WEIGHT #2 ~InParty("Valygar")
!Dead("Valygar")
!StateCheck("Valygar",STATE_SLEEPING)
See("Valygar")
~ THEN BEGIN 40 // from:
  SAY #18911 /* ~Greetings to you, my lord.  I trust everything is well?~ */
  IF ~~ THEN EXTERN ~VALYGARJ~ 15
END

IF ~~ THEN BEGIN 41 // from:
  SAY #18913 /* ~Naturally, my lord.  Welcome home.~ */
  IF ~~ THEN EXIT
END
